Video löschen
Video löschen
Ein Video löschst du mit einer DELETE-Anfrage an den Endpoint /videos/:id.
CURL
curl -X DELETE https://app.ignitevideo.cloud/api/videos/[VIDEO_ID] \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \Antwort
Die Antwort ist das gelöschte Video-Objekt mit einer Statusmeldung. Wenn die Id nicht existiert, ist die Antwort 403. Eine fehlende Id und eine verbotene Id liefern denselben Body. Siehe Authentifizierung.
{
doc: {
"id": "[VIDEO_ID]",
"title": "New video title",
...
},
message: "Deleted successfully."
}Fehlerantwort (403)
{
"errors": [
{
"message": "You are not allowed to perform this action"
}
]
}